# Plan

### Fields

#### available ([Boolean](/graphql-api/api-reference/objects/boolean.md)!)

Whether plan is available to subscribe to

#### currency ([String](/graphql-api/api-reference/objects/string.md))

Currency used for subscriptions assigned to this plan

#### graceCancellationEnabled ([Boolean](/graphql-api/api-reference/objects/boolean.md)!)

Whether a grace cancellation period is enabled

#### graceCancellationPeriod ([Int](/graphql-api/api-reference/objects/int.md)!)

The amount of time in units for grace cancellation period of the plan

#### graceCancellationUnit ([CommitmentUnit](/graphql-api/api-reference/objects/commitment-unit.md)!)

The time units of measure for grace cancellation period

#### id ([ID](/graphql-api/api-reference/objects/id.md)!)

The database ID for this plan

#### imageUrl ([String](/graphql-api/api-reference/objects/string.md))

URL to image of the plan

#### initialAmountExcludingTaxCents ([Int](/graphql-api/api-reference/objects/int.md))

The plan's initial amount excl. tax in cents

#### initialAmountIncludingTaxCents ([Int](/graphql-api/api-reference/objects/int.md))

The plan's initial amount incl. tax in cents

#### instalmentIntervalPeriod ([Int](/graphql-api/api-reference/objects/int.md))

The amount of interval units between instalments

#### instalmentIntervalUnit ([BaseIntervalUnit](/graphql-api/api-reference/objects/base-interval-unit.md))

The interval unit between instalments

#### instalments ([Int](/graphql-api/api-reference/objects/int.md))

Number of instalments.

#### maximumCommitmentEnabled ([Boolean](/graphql-api/api-reference/objects/boolean.md))

Whether a maximum commitment period is enabled.

#### maximumCommitmentPeriod ([Int](/graphql-api/api-reference/objects/int.md))

The amount of time in units for maximum commitment period of the plan.

#### maximumCommitmentUnit ([MaximumCommitmentUnit](/graphql-api/api-reference/objects/maximum-commitment-unit.md))

The time units of measure for maximum commitment period.

#### maximumProductQuantity ([Int](/graphql-api/api-reference/objects/int.md)!)

Maximum number of products allowed in a subscription for order generation

#### metadata ([JSON](/graphql-api/api-reference/objects/json.md))

Metadata makes it possible to store additional information on objects.

#### minimumCommitmentEnabled ([Boolean](/graphql-api/api-reference/objects/boolean.md)!)

Whether a minimum commitment period is enabled

#### minimumCommitmentPeriod ([Int](/graphql-api/api-reference/objects/int.md)!)

The amount of time in units for minimum commitment period of the plan

#### minimumCommitmentUnit ([CommitmentUnit](/graphql-api/api-reference/objects/commitment-unit.md)!)

The time units of measure for minimum commitment period.

#### minimumProductQuantity ([Int](/graphql-api/api-reference/objects/int.md)!)

Minimum number of products required in a subscription for order generation

#### monthlyAmountCents ([Int](/graphql-api/api-reference/objects/int.md))

The price of the plan

#### monthlyAmountExcludingTaxCents ([Int](/graphql-api/api-reference/objects/int.md))

The price of the plan excluding tax in cents

#### monthlyAmountIncludingTaxCents ([Int](/graphql-api/api-reference/objects/int.md))

The price of the plan including tax in cents

#### name ([String](/graphql-api/api-reference/objects/string.md)!)

Name of the plan

#### planProducts (\[[PlanProduct](/graphql-api/api-reference/objects/plan-product.md)!])

The products that are included in this plan

#### slug ([ID](/graphql-api/api-reference/objects/id.md)!)

The plan slug

#### taxAmountCents ([Int](/graphql-api/api-reference/objects/int.md))

The amount of tax for this plan in cents

#### taxPercentage ([Float](/graphql-api/api-reference/objects/float.md))

The tax percentage for this plan


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/objects/plan.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
